<div class="mobileHeaderDashBoard d-lg-none" *ngIf="mobileHeaderDashBoard">
  <div class="container">
  <div class="row align-items-center">
    <div class="col">
      <img src="assets/images/logo.svg" class="logo">
    </div>
    <div class="col-auto text-right d-none">
      <a routerLink="/notification">
        <img src="assets/icons/notification-bell-icon.svg" class="notification-icon">
        <span *ngIf="newNotification" class="notification-indicator"></span>
      </a>
     
    </div>
  </div>
</div>
</div>
<div class="desktop-header-wrapper">
  <div class="row">
    <div class="col-auto logo-wrapper">
      <a routerLink="/">
        <img src="assets/images/logo.svg" alt="Dollarbull Logo" />
      </a>
    </div>
    <div class="col"></div>
    <div class="col-auto modify-menu menu-wrapper">
      <!-- <nav class="nav">
        <a
          *ngFor="let item of tabs; let i = index"
          class="nav-item nav-link"
          [ngClass]="{ active: i === activeIndex }"
          (click)="handleClick($event, item, i)"
          ><span *ngIf="item.icon" class="mr-2"><img src={{item.icon}}></span>{{ item.label }}</a
        >
      </nav> -->

      <nav class="nav">
        <a  class="nav-item nav-link" routerLink="/dashboard" routerLinkActive="active"  [routerLinkActiveOptions]="{ exact: true }">Dashboard</a>
        <a  class="nav-item nav-link" routerLink="/explore/stocks" routerLinkActive="active"  [routerLinkActiveOptions]="{ exact: false }">Research</a>
        <a  class="nav-item nav-link" routerLink="/watchlist" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">Watchlist</a>

        <!-- <a *ngIf="!hasInvested && current_stage==0" class="nav-item nav-link" routerLink="/kyc" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: false }">KYC</a>
        <a  *ngIf="!hasInvested && current_stage==1" class="nav-item nav-link" routerLink="/funding"  routerLinkActive="active" [routerLinkActiveOptions]="{ exact: false }">Funds</a>
        <a *ngIf="!hasInvested && current_stage==2" class="nav-item nav-link" routerLink="/learn-to-trade" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: false }">Invest</a> -->
        <!-- <a  *ngIf="hasInvested" class="nav-item nav-link" routerLink="/portfolio" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: false }">Portfolio</a> -->
        <a  class="nav-item nav-link" routerLink="/faq" routerLinkActive="active">FAQs & Support</a>
        <a  class="nav-item nav-link" (click)="handleLogout()">Logout</a>
      </nav>

      <!-- <app-nav-tabs [tabs]="desktopNavTabs"></app-nav-tabs> -->
    </div>
  </div>
</div>
<div *ngIf="enableDeskTopHeaderAction" class="container d-lg-block d-none">
<div class="desktop-header-action">
  <a class="header-action" (click)="handleBackClick($event)">
    <img src="assets/icons/icon-arrow.png" alt="" />
  </a>
  <div class="header-title">
    <span>{{ title }}</span>
  </div>
  <ng-container *ngIf="headerActionTemplate">
    <ng-container *ngTemplateOutlet="headerActionTemplate"></ng-container>
  </ng-container>
</div>
</div>

<div *ngIf="enableMobileHeader" class="mobile-header-wrapper theme-background-color">
  <a class="header-action" (click)="handleBackClick($event)">
    <img src="assets/icons/icon-arrow.png" alt="" />
  </a>
  <div class="header-title">
    <span>{{ title }}</span>
  </div>
  <ng-container *ngIf="headerActionTemplate">
    <ng-container *ngTemplateOutlet="headerActionTemplate"></ng-container>
  </ng-container>
</div>

<div class="content-wrapper theme-background-color">
  <ng-content></ng-content>
</div>

<div *ngIf="enableMobileMenu" class="mobile-tabs-wrapper">
  <ul class="nav">
    <li class="nav-item">
      <a class="nav-link" routerLink="/dashboard" routerLinkActive="active">
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/icon-dashboard.png" />
          <img
            class="active-icon"
            src="assets/icons/icon-dashboard-active.png"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span>Dashboard</span>
      </a>
    </li>
    <li class="nav-item">
      <a
        class="nav-link"
        routerLink="/explore"
        routerLinkActive="active"
        [routerLinkActiveOptions]="{ exact: false }"
      >
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/icon-explore.png" />
          <img
            class="active-icon"
            src="assets/icons/icon-explore-active.png"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span>Research</span>
      </a>
    </li>

    <!-- <li class="nav-item" *ngIf="!hasInvested && current_stage==0">
      <a
        class="nav-link"
        routerLink="/kyc"
        routerLinkActive="active"
        [routerLinkActiveOptions]="{ exact: false }"
      >
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/kyc-icon.svg" />
          <img
            class="active-icon"
            src="assets/icons/kyc-active-icon.svg"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span>KYC</span>
      </a>
    </li> -->
    <!-- <li class="nav-item" *ngIf="!hasInvested && current_stage==1">
      <a
        class="nav-link"
        routerLink="/funding"
        routerLinkActive="active"
        [routerLinkActiveOptions]="{ exact: false }"
      >
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/kyc-icon.svg" />
          <img
            class="active-icon"
            src="assets/icons/kyc-active-icon.svg"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span>Funds</span>
      </a>
    </li> -->
    <!-- <li class="nav-item" *ngIf="!hasInvested && current_stage==2">
      <a
        class="nav-link"
        routerLink="/learn-to-trade"
        routerLinkActive="active"
        [routerLinkActiveOptions]="{ exact: false }"
      >
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/kyc-icon.svg" />
          <img
            class="active-icon"
            src="assets/icons/kyc-active-icon.svg"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span>Invest</span>
      </a>
    </li> -->
    <!-- <li class="nav-item" *ngIf="hasInvested">
      <a
        class="nav-link"
        routerLink="/portfolio"
        routerLinkActive="active"
        [routerLinkActiveOptions]="{ exact: false }"
      >
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/tab-portflio-icon.svg" />
          <img
            class="active-icon"
            src="assets/icons/tab-portfolio-active-icon.svg"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span>Portfolio</span>
      </a>
    </li> -->

    <li class="nav-item">
      <a class="nav-link" routerLink="/faq" routerLinkActive="active">
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/icon-account.png" />
          <img
            class="active-icon"
            src="assets/icons/icon-account-active.png"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span>FAQs & Support</span>
      </a>
    </li>

    <li class="nav-item">
      <a class="nav-link">
        <div class="nav-item-icon">
          <img class="default-icon" src="assets/icons/tab-more-icon.svg" />
          <img
            class="active-icon"
            src="assets/icons/tab-more-active-icon.svg"
          />
        </div>
        <div class="separator" style="width: 100%; height: 4px"></div>
        <span (click)="handleLogout()">Logout</span>
      </a>
    </li>
    <!-- <li class="nav-item nav-item-invest">
      <a class="nav-link" routerLink="/" routerLinkActive="active">
        <div class="nav-item-icon">
          <img src="assets/icons/icon-add.png" />
        </div>
      </a>
    </li> -->
  </ul>
</div>




<app-loader *ngIf="loaderEnabled"></app-loader>